# Class CIM_PortActiveConnection
extends CIM_Dependency

The PortActiveConnection relationship indicates that a NetworkPort is using the referenced PhysicalConnector to output to the network. This relationship is important when the port can choose to output from one of several connectors. The connectors can be associated with the NetworkPort in a Realizes relationship, but this is not required. This association provides additional information (for instance,'in use for communication') different than Realizes.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_PortActiveConnection

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true

Description

string

The PortActiveConnection relationship indicates that a NetworkPort is using the referenced PhysicalConnector to output to the network. This relationship is important when the port can choose to output from one of several connectors. The connectors can be associated with the NetworkPort in a Realizes relationship, but this is not required. This association provides additional information (for instance,'in use for communication') different than Realizes.

UMLPackagePath | string | CIM::Device::Ports
Version | string | 2.10.0

## Class Properties

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_PortActiveConnection | CIM_PhysicalConnector
Dependent | CIM_PortActiveConnection | CIM_NetworkPort

## Class Methods